# encoding: utf-8
require 'spec_helper'

# def preview(label)
#   g = Graphviz::Diagram.new
#   g.graphviz.add_node('hello', shape: 'record', label: label.to_s)
#   g.graphviz.output png: 'preview.png'
# end

describe Graphviz::Diagram::RecordLabel do
  describe '#to_s' do
    it 'create simple label' do
      subject.add_row('Name')
      expect(subject.to_s).to eq('Name')
    end

    it 'add separator' do
      subject.add_row('Name')
      subject.add_separator
      subject.add_row('Name 2')
      subject.add_row('Name 3')
      expect(subject.to_s).to eq("Name|Name 2\nName 3")
    end

    it 'escape quotes' do
      subject.add_row('Name')
      subject.add_separator
      subject.add_row('Name 2 ( )')
      subject.add_row('Name 3')
      expect(subject.to_s).to eq("Name|Name 2 ( )\nName 3")
    end

    it 'align left or right' do
      subject.add_row('Name Long Long Long')
      subject.add_separator
      subject.add_row('Left', align: :left)
      subject.add_row('Right', align: :right)
      expect(subject.to_s).to eq("Name Long Long Long|Left \\lRight \\r")
      # preview(subject)
    end

    it 'assign with field id' do
      subject.add_row('First Ankor', field_id: 'F01')
      subject.add_row('Second Ankor', field_id: 'F02')
      expect(subject.to_s).to eq("<F01> First Ankor\n<F02> Second Ankor")
    end
  end
end
